View Issue Details

IDProjectCategoryView StatusLast Update
13517Bug reports[All Projects] Survey designpublic2018-04-06 11:47
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.5.x 
Target VersionFixed in Version3.5.x 
Summary13517: Question adv settings are not updated after update of question type
Description

When update a question type : advanced settings still the needed for the old one.

Steps To Reproduce

Go to a question, look at adavanced setting, example with short text
Update question type : to Equation
Serach the Equation advanced setting

Additional Information

It work in 2.74 and in first 3.X version.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.5.4 github
I will donate to the project if issue is resolvedNo
Browserfirefox
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevant
PHP Versionnot relevant

Activities

DenisChenu

DenisChenu

2018-03-29 09:57

developer   ~47273

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26887

DenisChenu

DenisChenu

2018-03-29 09:58

developer   ~47274

Need 3.6.X in dropdown :)

Related Changesets

LimeSurvey: master 2b720139

2018-03-29 09:57:16

DenisChenu

Details Diff
Fixed issue 13517: Question adv settings are not updated after update of question type
Dev: with question type selector set to simple
Dev: double question_type id : broke JS and HTML
Dev: todo : review system to remove this uneeded Question Type
Affected Issues
13517
mod - application/views/admin/survey/Question/editQuestion_view.php Diff File

Issue History

Date Modified Username Field Change
2018-03-22 10:43 DenisChenu New Issue
2018-03-29 09:55 DenisChenu Assigned To => DenisChenu
2018-03-29 09:55 DenisChenu Status new => assigned
2018-03-29 09:57 DenisChenu Changeset attached => LimeSurvey master 2b720139
2018-03-29 09:57 DenisChenu Note Added: 47273
2018-03-29 09:57 DenisChenu Resolution open => fixed
2018-03-29 09:58 DenisChenu Status assigned => resolved
2018-03-29 09:58 DenisChenu Fixed in Version => 3.5.x
2018-03-29 09:58 DenisChenu Note Added: 47274
2018-04-06 11:47 markusfluer Status resolved => closed